BEEM - Android XMPP - Bug #234

Splash screen is too long and "ugly”
01/14/2010 07:26 PM - Romain Vimont

Status: Closed Start date: 01/14/2010
Priority: Normal Due date:

Assignee: Philippe Lago % Done: 100%
Category: User Interface Estimated time: 0.00 hour
Target version: 0.1.3

Affected version: 0.1.x Locale:

Description

The splash screen ("rotating b") should be shown only during the connection to jabber. Once connected, if | come back to "home"
and reopen beem, it shows the splash for about 0.2 seconds, it takes time for nothing and gives a bad "waiting impression" where the
user shouldn't wait (open an already opened application).

And it is a bit ugly (it is zoomed at an higher definition that its native one), and useless... A simple progress bar or a very small
rotating circles would be better in my opinion (but only during connection, not every time | launch the app).

Thank you :)

Associated revisions
Revision 685:bd5bddda04dd - 02/19/2010 02:21 AM - Frédéric Barthéléry

Improve the launching of Beem when already connected.
History

#1 - 01/15/2010 11:58 AM - Nikita Kozlov
- Category set to User Interface

- Status changed from New to Assigned

- Assignee set to Philippe Lago

- Target version set to 0.1

#2 - 01/25/2010 02:52 PM - Frédéric Barthéléry

- Target version changed from 0.1 to 0.2
#3 - 02/14/2010 03:23 AM - Nikita Kozlov
- Status changed from Assigned to Feedback
- % Done changed from 0 to 80

- Affected version set to 0.1.x

#4 - 03/13/2010 01:30 PM - Frédéric Barthéléry
- Status changed from Feedback to Resolved

- % Done changed from 80 to 100

#5 - 04/07/2010 02:08 AM - Frédéric Barthéléry
- Status changed from Resolved to Closed

- Target version changed from 0.2 to 0.1.3
